Subject: Re: [bitcoin-dev] Setting up bitcoin dev environment ( bitcoind, bitcoin-cli )

From: Bernd Jendrissek <[email-masked]>
Date: Fri, 9 Feb 2018 22:10:25 +0200

On 9 February 2018 at 12:55, Maksim Solovjov via bitcoin-dev
<[email-masked]> wrote:
> 2) I can launch bitcoind in -regtest regime.
> But when I launch bitcoin-cli -regtest setgenerate true 101
> I get an error:
>>
>> error code: -32601
>> error message:
>> Method not found

setgenerate was removed in 0.13.0. See doc/release-notes/release-notes-0.13.0.md

> 3) If I try bitcoin-cli getinfo
> I get an error:
>>
>> error: Could not locate RPC credentials. No authentication cookie could be
>> found, and no rpcpassword is set in the configuration file
>> (/Users/..../Library/Application Support/Bitcoin/bitcoin.conf)

getinfo is also deprecated or already removed. (Which version did you
install?) But even before that, you should probably heed the warning
and note that you don't seem to have a bitcoin.conf in a place where
bitcoin-cli can find it.